Page Summary
-
The
GET https://displayvideo.googleapis.com/v1beta2/guaranteedOrders/{guaranteedOrderId}HTTP request is used to retrieve a guaranteed order. -
The
{guaranteedOrderId}path parameter, formatted as{exchange}-{legacyGuaranteedOrderId}, is required to specify the guaranteed order to fetch. -
A required union parameter
accessormust be included in the query parameters, identifying whether the request is made within a partner or advertiser entity viapartnerIdoradvertiserId. -
The request body for this GET request must be empty.
-
A successful response will contain an instance of
GuaranteedOrderin the response body. -
The request requires the
https://www.googleapis.com/auth/display-videoOAuth scope for authorization.
Gets a guaranteed order.
HTTP request
GET https://displayvideo.googleapis.com/v1beta2/guaranteedOrders/{guaranteedOrderId}
The URL uses gRPC Transcoding syntax.
Path parameters
| Parameters | |
|---|---|
guaranteedOrderId |
Required. The ID of the guaranteed order to fetch. The ID is of the format |
Query parameters
| Parameters | |
|---|---|
Union parameter Identifies which DV360 entity the request is being made within. The GET request will only return guaranteed order that is accessible to the DV360 entity identified within the |
|
partnerId |
The ID of the partner that has access to the guaranteed order. |
advertiserId |
The ID of the advertiser that has access to the guaranteed order. |
Request body
The request body must be empty.
Response body
If successful, the response body contains an instance of GuaranteedOrder.
Authorization Scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/display-video
For more information, see the OAuth 2.0 Overview.